     /*
      * Copyright (c) 2007-2008 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the JSON Service Program.
      *
      * JSON Service Program is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * JSON Service Program is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with JSON Service Program.  If not, see http://www.gnu.org/licenses/.
      */

      *-------------------------------------------------------------------------
      * Prototypes
      *-------------------------------------------------------------------------
     D jsona_create    PR              *   extproc('jsona_create')
      *
     D jsona_dispose   PR                  extproc('jsona_dispose')
     D   jsonArrPtr                    *
      *
     D jsona_remove    PR                  extproc('jsona_remove') opdesc
     D   jsonArrPtr                    *   const
     D   index                       10I 0 const
      *
     D jsona_clear     PR                  extproc('jsona_clear')
     D   jsonArrPtr                    *   const
      *
     D jsona_putString...
     D                 PR                  extproc('jsona_putString') opdesc
     D   jsonArrPtr                    *   const
     D   value                    65535A   const options(*varsize)
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putBoolean...
     D                 PR                  extproc('jsona_putBoolean')
     D   jsonArrPtr                    *   const
     D   value                         N   const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putInt...
     D                 PR                  extproc('jsona_putInt')
     D   jsonArrPtr                    *   const
     D   value                       10I 0 const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putLong...
     D                 PR                  extproc('jsona_putLong')
     D   jsonArrPtr                    *   const
     D   value                       20I 0 const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putDouble...
     D                 PR                  extproc('jsona_putDouble')
     D   jsonArrPtr                    *   const
     D   value                        8F   const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putArray...
     D                 PR                  extproc('jsona_putArray')
     D   jsonArrPtr                    *   const
     D   value                         *   const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_getString...
     D                 PR              *   extproc('jsona_getString')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_getBoolean...
     D                 PR              N   extproc('jsona_getBoolean')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_getInt...
     D                 PR            10I 0 extproc('jsona_getInt')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_getLong...
     D                 PR            20I 0 extproc('jsona_getLong')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_getDouble...
     D                 PR             8F   extproc('jsona_getDouble')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_getArray...
     D                 PR              *   extproc('jsona_getArray')
     D   jsonArrPtr                    *   const
     D   index                       10U 0 const
      *
     D jsona_toString...
     D                 PR              *   extproc('jsona_toString')
     D   jsonArrPtr                    *   const
      *
     D jsona_putNull   PR                  extproc('jsona_putNull')
     D   jsonPtr                       *   const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_putObject...
     D                 PR                  extproc('jsona_putObject')
     D   jsonPtr                       *   const
     D   objPtr                        *   const
     D   index                       10U 0 const options(*nopass)
      *
     D jsona_getObject...
     D                 PR              *   extproc('jsona_getObject')
     D   jsonPtr                       *   const
     D   index                       10U 0 const
      *
