     /*
      * Copyright (c) 2007-2008 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the JSON Service Program.
      *
      * JSON Service Program is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * JSON Service Program is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with JSON Service Program.  If not, see http://www.gnu.org/licenses/.
      */

      *-------------------------------------------------------------------------
      * Prototypes
      *-------------------------------------------------------------------------
     D json_create     PR              *   extproc('json_create')
      *
     D json_dispose    PR                  extproc('json_dispose')
     D   jsonPtr                       *
      *
     D json_remove     PR                  extproc('json_remove') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_clear      PR                  extproc('json_clear')
     D   jsonPtr                       *   const
      *
     D json_getNext    PR              *   extproc('json_getNext')
     D   jsonPtr                       *   const
      *
     D json_abortIteration...
     D                 PR                  extproc('json_abortIteration')
     D   jsonPtr                       *   const
      *
     D json_contains...
     D                 PR              N   extproc('json_contains') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_isEmpty    PR              N   extproc('json_isEmpty')
     D   jsonPtr                       *   const
      *
     D json_size       PR            10I 0 extproc('json_size')
     D   jsonPtr                       *   const
      *
     D json_putString  PR                  extproc('json_putString') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                    65535A   const options(*varsize)
      *
     D json_putBoolean...
     D                 PR                  extproc('json_putBoolean') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                         N   const
      *
     D json_putInt...
     D                 PR                  extproc('json_putInt') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                       10I 0 const
      *
     D json_putLong...
     D                 PR                  extproc('json_putLong') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                       20I 0 const
      *
     D json_putDouble...
     D                 PR                  extproc('json_putDouble') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                        8F   const
      *
     D json_putArray...
     D                 PR                  extproc('json_putArray') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   array                         *   const
      *
     D json_get        PR              *   extproc('json_get') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getString  PR              *   extproc('json_getString') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getBoolean...
     D                 PR              N   extproc('json_getBoolean') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getInt...
     D                 PR            10I 0 extproc('json_getInt') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getLong...
     D                 PR            20I 0 extproc('json_getLong') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getDouble...
     D                 PR             8F   extproc('json_getDouble') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_getArray...
     D                 PR              *   extproc('json_getArray') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_toString   PR              *   extproc('json_toString')
     D   jsonPtr                       *   const
      *
     D json_putNull    PR                  extproc('json_putNull') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_putObject...
     D                 PR                  extproc('json_putObject') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   objPtr                        *   const
      *
     D json_getObject...
     D                 PR              *   extproc('json_getObject') opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
      *
     D sendEscapeMessage...
     D                 PR                  extproc('json_private_sendEscapeMess-
     D                                     age')
     D   id                          10I 0 const
      *
     D escapeLastToken...
     D                 PR                  extproc('json_private_escapeLastToke-
     D                                     n')
     D   tokenList                     *

      *
      * include the prototypes from the json array module
      *
      /copy JSON_ARR_H
